<?php
/*
Plugin Name: Categorical Links Page
Plugin URI: http://www.blackgate.net/blog/
Description:  Output links seperated by categories onto a static page. Based on Links Page by Owen Winkler and Categorical Links Page by Jeremy Albrecht.)
Version: 2.0
Author: Brandon Blackmoor
Author URI: http://www.blackgate.net/blog/
*/
?>
<?php
/*

INSTRUCTIONS
------------
1. Upload this file into your wp-content/plugins directory.
2. Activate the Links Page with Categories plugin in your WordPress admin panel.
3. Create a new static page.
4. Add <!--catlinkspage--> to the static page content where you want the links
to appear.

Enjoy!

*/
?>
<?php

define('LINK_USE_UL', false);

function catlinks_page_callback()
{
	global $wpdb;
	$output = '';
    $linkcats = wp_list_bookmarks();

    $output .= print_r($linkcats, TRUE);
    return $output;
}

function catlinks_page($content)
{
    if (strpos($content, '<!--catlinkspage-->') !== false )
    {
        $content = catlinks_page_callback();
    }

    return $content;
}

add_filter('the_content', 'catlinks_page');

?>
